<?php date_default_timezone_set('Europe/Berlin'); if (!isset($_SESSION)) {session_start();}
include './rabattStrFu.php'; //damit steht die Funktion getrabattstr zur Verfügung
function alertmeldung($alst) {
  $alst = strtr($alst, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
	echo $alst;
}
if (isset($_POST["benutzer"])) {
  $benutzer=$_POST["benutzer"];
  $nr=$_POST["nr"]; //Objekt
  $Anreisedatum=$_POST["Anreisedatum"];
}
else {
  alertmeldung("ERROR: Access forbidden");
  exit();
}

include_once './mailheadertxt.php';
include './DBSafe/dbDaten.php';

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     alertmeldung("ERROR: MySQL-ERROR: ".mysqli_connect_error()." #1");
     exit();
}
mysqli_set_charset($conn, "utf8");

$buchTabelle=$benutzer."0".$nr."Buchungen";
$result=mysqli_query($conn, "select * from $buchTabelle where Anreisedatum='$Anreisedatum'");
if (!$result) {
  alertmeldung("ERROR: Der Datensatz ist nicht vorhanden");
  mysqli_close($conn);
  exit();
}
else {
  $inh  =  mysqli_fetch_row($result);
}
$Buchcode=$inh[13];
if (strlen($Buchcode)<18) {
    $_lan='de-DE';
}
else {
  list($dummy1,$dummy2,$dummy3,$_lan) = explode('/',$Buchcode);
}

include_once './language/lancfg.php';
include_once './language/'.$_lan.'/'.$_lan."authSenden.php";
include_once './language/'.$_lan.'/'.$_lan."globalTxt.php";

$hostTab="BenutzerHost";
$result=mysqli_query($conn, "select * from $hostTab where Benutzername='$benutzer'");
if ($result){
  $hinh = mysqli_fetch_row($result);
  include_once './getAlias.php'; $alias=getalias($benutzer,$nr);
  $tabelle=$benutzer."0Vermieter";
  $tresult=mysqli_query($conn, "select * from $tabelle where lan='$_lan'");
  $trow = mysqli_fetch_row($tresult);
  $result=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
  if ($result) {
    $row = mysqli_fetch_row($result);
    //Personenzahl und Preisstring für den Tagespreis/Person
    $Optionencode=$row[10];
		$tagPrPers=$inh[17]+$inh[18];
    $tagesPreisSt=number_format($inh[25]/$inh[24]/$tagPrPers,2,'.','');
    $absender=$row[2];
    $infoempf=$row[71];
    $mail5param=$row[72];
    $anDat=date($_datFormat,strtotime($inh[14]));
    $abDat=date($_datFormat,strtotime($inh[15]));
    $buchDat=date($_datFormat,strtotime($inh[16]));
    $heute=date($_datFormat, time());
    $gerAnzahldatum=date($_datFormat,strtotime($inh[28]));
    $gerRestzahldatum=date($_datFormat,strtotime($inh[29]));
    $anfaell="";
    if ($_buchdat19!="") {
      $restfaell=$_buchdat19.$gerRestzahldatum;
      $anfaell=$_buchdat19.$gerAnzahldatum;
    }
    $betreff="OnBuSys - Mietvertrag";
    $nachricht="In der Anlage erhalten Sie den angeforderten Mietvertrag";
    
    $incl_anr=$inh[0]; $incl_vorn=$inh[1]; $incl_nachn=$inh[2]; $incl_str=$inh[3];
    $incl_plz=$inh[4]; $incl_ort=$inh[5]; $incl_land=$inh[64];
    include './mail_adr.php';

    $zulei1="";
    $ezArtAry=array(array($inh[40],$inh[45]),array($inh[41],$inh[46]),array($inh[42],$inh[47]),array($inh[43],$inh[48]),array($inh[44],$inh[49]),  array($inh[65],$inh[70]),array($inh[66],$inh[71]),array($inh[67],$inh[72]),array($inh[68],$inh[73]),array($inh[69],$inh[74]),  array($inh[50],$inh[55]),array($inh[51],$inh[56]),array($inh[52],$inh[57]),array($inh[53],$inh[58]),array($inh[54],$inh[59]),  array($inh[75],$inh[80]),array($inh[76],$inh[81]),array($inh[77],$inh[82]),array($inh[78],$inh[83]),array($inh[79],$inh[84]));
    $ezArtDa=false;
    foreach ($ezArtAry as $val) {
      if ((strlen($val[0])!=0)&&($val[1]>0)) {$ezArtDa=true;}
    }
    if ($ezArtDa) {
      $einGabe=0;
      $zulei1.=$_buchdat14;
      foreach ($ezArtAry as $val) {
        if (strlen($val[0])!=0) {
          if ($val[1]>0) {
            if ($einGabe>0) {$zulei1.=", ";}
            $einGabe++;
            if (strrpos($val[0],'~')!==false) {
              $artpos=strrpos($val[0],'~');
              $val[0]=substr($val[0],0,$artpos);
            }
            $zulei1.=$val[1]."x".$val[0];
          }
        }
      }
    }

    $zulei2="";
    $sArtAry=array($inh[60],$inh[61],$inh[62],$inh[63]);
    $sArtDa=false;
    foreach ($sArtAry as $val) {
      if (strlen($val)!=0) {$sArtDa=true;}
    }
    if ($sArtDa) {
      $einGabe=0; $idx=21; $endPreisStrProzary=explode('@',$inh[23]);
      foreach ($sArtAry as $val) {
        $idx++;
        if ((float) $endPreisStrProzary[$idx] > 0) {
          if (strlen($val)!=0) {
            if ($einGabe>0) {$zulei2.=", ";}
            $einGabe++;
            if (strrpos($val,'~')!==false) {
              $artpos=strrpos($val,'~');
              $val=substr($val,0,$artpos);
            }
            $zulei2.=$val;
          }
        }
      }
      if ($einGabe > 0) {$zulei2=$_buchdat15.$zulei2;}
    }
    $ptabelle= $benutzer."0".$nr."Preise";     /* Name der Tabelle*/
    $presult=mysqli_query($conn, "select ObjAnschrift,waehr from $ptabelle where lan='$_lan'");
    if ($presult){
      $prow = mysqli_fetch_row($presult);
      $ObjAnschrift=$prow[0];
      $waehr=$prow[1];
    }

    $vztabelle=$benutzer."0Vermieter";
    $vzresult=mysqli_query($conn, "select * from $vztabelle where lan='$_lan'");
    $anzRows = mysqli_num_rows($vzresult);
    if ($anzRows < 1){
      alertmeldung("ERROR: MySQL-ERROR: ".mysqli_errno($conn)." #3");
    }
    else {
      $vzrow = mysqli_fetch_row($vzresult);
    }
    $Trenner = md5(uniqid(time()));
    $Vorname=$inh[1];$Nachname=$inh[2];$Strasse=$inh[3];$PLZ=$inh[4];$Wohnort=$inh[5];$Land=$inh[64];$ErwachsAnz=$inh[17];$Kinder1Anz=$inh[18];$Kinder2Anz=$inh[19];
    $Verpflegung=$inh[20];$Gesamttage=$inh[24];$akt_Gesamtpreis=$inh[25];$akt_Anzahlung=$inh[26];$akt_Restzahlung=$inh[27];$endPreisStrProz=$inh[23];
    $Restzahldatum=$inh[29];$Anzahldatum=$inh[28];
    $pdf_Buchdatum=$heute;$pdf_Anreisedatum=$anDat;$pdf_Abreisedatum=$abDat;
    $pdf_objBeschreibung=$vzrow[42];$pdf_zusatzText=$vzrow[43];$pdf_footertxt=$vzrow[44];$pdf_headertxt=$vzrow[50];
		$lS=45; //Breite der linken Spalte
    include_once './pdfMietvertragIcl.php';
    
    $pdffiles = glob("./DBSafe/*.pdf");
    if (is_array($pdffiles) && count($pdffiles) > 0) {
      foreach ($pdffiles as $filename) {unlink($filename);}
    }
    $pdfVertrag="./DBSafe/M_".$inh[14].$nr.".pdf";
    $pdf->Output($pdfVertrag,"F");
    
    $host  = $_SERVER['HTTP_HOST'];
    $uri   = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');    
    $restpfad=trim($pdfVertrag,'.');
    alertmeldung("URLM:"."//".$host.$uri.$restpfad);
  }//ende if result
}//ende if result
?>