<?php date_default_timezone_set('Europe/Berlin'); if (!isset($_SESSION)) {session_start();}
function alertmeldung($alst) {
  $alst = strtr($alst, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
	echo $alst;
}
if (isset($_POST["benutzer"])) {
  $benutzer=$_POST["benutzer"];
  $artname=$_POST["artname"];
  $altname=$_POST["altname"];
  $neuname=$_POST["neuname"]; //wird nicht bei Alias benötigt
  $objekt=$_POST["objekt"]; //wird nur bei Alias benötigt!
}
else {
  alertmeldung("ERROR: Access forbidden");
  exit();
}
$zeichenSatz='utf-8';
mb_internal_encoding('UTF-8');
//$altname=mb_convert_encoding($altname,'HTML-ENTITIES','UTF-8');
//$altname=mb_convert_encoding($altname,$zeichenSatz,'HTML-ENTITIES');
//$neuname=mb_convert_encoding($neuname,'HTML-ENTITIES','UTF-8');
//$neuname=mb_convert_encoding($neuname,$zeichenSatz,'HTML-ENTITIES');

include './DBSafe/dbDaten.php';

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     alertmeldung("ERROR: MySQL-ERROR: ".mysqli_connect_error()." #1");
     exit();
}
mysqli_set_charset($conn, "utf8");

$benTabelle= $benutzer."0Benutzer";
$result=mysqli_query($conn, "select * from BenutzerHost where Benutzername = '$benutzer'");
$num = mysqli_num_rows($result);
if ($num == 0){
  alertmeldung("ERROR: Der Benutzername ist nicht vorhanden.");
  exit();
}

$row=mysqli_fetch_row($result);
if ($row[0] != $benutzer){
  alertmeldung("ERROR: Der Benutzername wurde nicht gefunden.");
  exit();
}
$host  = $_SERVER['HTTP_HOST'];
$uri   = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');    
$script = '/objVerwSec.php';
$scriptpfad = "//".$host.$uri.$script;

if ($artname == "aliname") {
  $lockTabSt=$benTabelle." WRITE";
  $locksql="LOCK TABLES ".$lockTabSt.";";
  mysqli_query($conn, $locksql);
  //prüfen ob Alias vorhanden
  $resultObjSpalte=mysqli_query($conn, "select Alias from $benTabelle where Alias='$altname'");
  $werte=mysqli_fetch_row($resultObjSpalte);
  if ($werte[0] != $altname) {
    alertmeldung("ERROR: Das Alias ist nicht vorhanden.");
    exit();
  }
  //neues Alias in die Tabelle schreiben
  if (!mysqli_query($conn, "UPDATE $benTabelle SET Alias='$neuname' where Objekt='$objekt'")){
    alertmeldung("ERROR: Das Alias konnte nicht geändert werden.");
    exit();
  }
  else {
    mysqli_query($conn, "UNLOCK TABLES");
    alertmeldung("aliCHG:".$scriptpfad); exit();
  }
}
else {
  $kalaltTab=$benutzer."0".$altname."Kalender";
  $buchaltTab=$benutzer."0".$altname."Buchungen";
  $preisaltTab=$benutzer."0".$altname."Preise";
  $multiTabelle=$benutzer."0Vermieter";
  $rechNrTab=$benutzer."0RechNr";
  $lockTabSt=$benTabelle." WRITE,".$kalaltTab." WRITE,".$buchaltTab." WRITE,".$preisaltTab." WRITE,".$multiTabelle." WRITE,".$rechNrTab." WRITE";
  $locksql="LOCK TABLES ".$lockTabSt.";";
  mysqli_query($conn, $locksql);
  //prüfen ob Objektname vorhanden
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle where Objekt='$altname'");
  $werte=mysqli_fetch_row($resultObjSpalte);
  if ($werte[0] != $altname) {
    alertmeldung("ERROR: Das Objekt ist nicht vorhanden.");
    exit();
  }
  //neuen Objektnamen in die Tabelle schreiben
  if (!mysqli_query($conn, "UPDATE $benTabelle SET Objekt='$neuname' where Objekt='$altname'")) {
    alertmeldung("ERROR: Der Objektname konnte nicht geändert werden.");
    exit();
  }
  //Tabelle sortieren
  if (!mysqli_query($conn,  "ALTER TABLE $benTabelle ORDER BY Objekt")){
    alertmeldung("ERROR: Die Objekte konnten nicht sortiert werden.");
    exit();
  }
  //Tabellennamen ändern
  $kalneuTab=$benutzer."0".$neuname."Kalender";
  if (!mysqli_query($conn, "ALTER TABLE `$kalaltTab` RENAME `$kalneuTab`")) {
    alertmeldung("ERROR: Die Kalendertabelle konnte nicht umbenannt werden.");
    exit();
  }
  $buchneuTab=$benutzer."0".$neuname."Buchungen";
  if (!mysqli_query($conn, "ALTER TABLE `$buchaltTab` RENAME `$buchneuTab`")) {
    alertmeldung("ERROR: Die Buchungstabelle konnte nicht umbenannt werden.");
    exit();
  }
  $preisneuTab=$benutzer."0".$neuname."Preise";
  if (!mysqli_query($conn, "ALTER TABLE `$preisaltTab` RENAME `$preisneuTab`")) {
    alertmeldung("ERROR: Die Preistabelle konnte nicht umbenannt werden.");
    exit();
  }
  //multiSt von Objektgruppierung anpassen
  $resultSpalte=mysqli_query($conn, "select multiSt from `$multiTabelle` where lan='00-00'");
  if (!$resultSpalte) {
    alertmeldung("ERROR: Vermietertabelle nicht vorhanden.");
    exit();
  }
  if (mysqli_num_rows($resultSpalte)<1) {
    alertmeldung("ERROR: String für Objektgruppierung nicht vorhanden.");
    exit();
  }
  $wertRow=mysqli_fetch_row($resultSpalte);
  if ($wertRow) {
    $multiSt=$wertRow[0];
  }
  $multiSt = str_replace($altname, $neuname, $multiSt);
  if (!mysqli_query($conn, "UPDATE $multiTabelle SET multiSt='$multiSt' where lan='00-00'")) {
    alertmeldung("ERROR: Die Objektgruppierung konnte nicht angepasst werden.");
    exit();
  }
  //Objektname in Rechnungstabelle ändern
  $result = mysqli_query($conn, "SHOW TABLES LIKE '$rechNrTab'");
  if (mysqli_num_rows($result) > 0) {
    if (!mysqli_query($conn, "UPDATE $rechNrTab SET Objekt='$neuname' where Objekt='$altname'")) {
      alertmeldung("ERROR: Der Objektname konnten in der Rechnungstabelle nicht angepasst werden.");
      exit();
    }
  }
  mysqli_query($conn, "UNLOCK TABLES");
  alertmeldung("objCHG:".$scriptpfad); exit();
}
?>